Bug 110490 - kickstart post section does not remount cdrom when bash command is issued
Summary: kickstart post section does not remount cdrom when bash command is issued
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-20 04:31 UTC by Damien clarke
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-05 15:43:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Damien clarke 2003-11-20 04:31:09 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
kickstart post section does not remount cdrom when bash 
command "mount -t iso9660 /tmp/cdrom /mnt/source" is at the start
This is required to allow the use of sed to modify files as they are 
copied from the cdrom to the computer. 

Version-Release number of selected component (if applicable):
1

How reproducible:
Always

Steps to Reproduce:
1. mounting the cdrom multiple times in the post section
2. 
3.
    

Actual Results:  sed commands in post section produce empty config 
files

Expected Results:  sed commands customise the network and server 
aplication config files

Additional info:

Comment 1 Jeremy Katz 2003-11-20 04:34:11 UTC
If you go to tty2 and try to mount it by hand, does it work?  Are you
doing %post --nochroot or just %post?

Comment 2 Richard Chart 2004-04-02 23:04:29 UTC
We can reproduce this problem, and in answer to the comment from 
Jeremy Katz: no, mounting it by hand on tty2 fails, with:
mount -t iso9660 /tmp/cdrom /mnt/source
mounting cdrom on /mnt/source failed no such file or directory 

This is when running with:
%post --nochroot

...but the cdrom could eventually be found at /dev/hdc and mounted 
from there OK

Comment 3 Jeremy Katz 2004-04-11 17:19:36 UTC
Does /tmp/cdrom still exist?  (It's not at all guaranteed to)

Comment 4 Jeremy Katz 2004-10-05 15:43:33 UTC
Closing due to inactivity.  If you continue to have this problem on a
newer release of Fedora Core, please reopen and add any additional
information to this report.


Note You need to log in before you can comment on or make changes to this bug.